Subject: [Dots] FW: [core] RFC 8323 on CoAP (Constrained Application Protocol) over TCP, TLS, and WebSockets

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Thu, 15 Feb 2018 05:18:08 +0000

-----Original Message-----
From: core [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Thursday, February 15, 2018 7:05 AM
To: [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [core] RFC 8323 on CoAP (Constrained Application Protocol) over TCP, TLS, and WebSockets

A new Request for Comments is now available in online RFC libraries.

        RFC 8323

        Title:      CoAP (Constrained Application Protocol) over 
                    TCP, TLS, and WebSockets 
        Author:     C. Bormann, 
                    S. Lemay,
                    H. Tschofenig,
                    K. Hartke,
                    B. Silverajan,
                    B. Raymor, Ed.
        Status:     Standards Track
        Stream:     IETF
        Date:       February 2018
        Mailbox:    [email-masked], 
                    [email-masked], 
                    [email-masked],
                    [email-masked], 
                    [email-masked],
                    [email-masked]
        Pages:      54
        Characters: 110771
        Updates:    RFC 7641, RFC 7959

        I-D Tag:    draft-ietf-core-coap-tcp-tls-11.txt

        URL:        https://www.rfc-editor.org/info/rfc8323

        DOI:        10.17487/RFC8323

The Constrained Application Protocol (CoAP), although inspired by HTTP, was designed to use UDP instead of TCP.  The message layer of CoAP over UDP includes support for reliable delivery, simple congestion control, and flow control.

Some environments benefit from the availability of CoAP carried over reliable transports such as TCP or Transport Layer Security (TLS).
This document outlines the changes required to use CoAP over TCP, TLS, and WebSockets transports.  It also formally updates RFC 7641 for use with these transports and RFC 7959 to enable the use of larger messages over a reliable transport.

This document is a product of the Constrained RESTful Environments Working Group of the IETF.

This is now a Proposed Standard.

STANDARDS TRACK: This document specifies an Internet Standards Track protocol for the Internet community, and requests discussion and suggestions for improvements.  Please refer to the current edition of the Official Internet Protocol Standards (https://www.rfc-editor.org/standards) for the standardization state and status of this protocol.  Distribution of this memo is unlimited.

This announcement is sent to the IETF-Announce and rfc-dist lists.
To subscribe or unsubscribe, see
  https://www.ietf.org/mailman/listinfo/ietf-announce
  https://mailman.rfc-editor.org/mailman/listinfo/rfc-dist

For searching the RFC series, see https://www.rfc-editor.org/search For downloading RFCs, see https://www.rfc-editor.org/retrieve/bulk

Requests for special distribution should be addressed to either the author of the RFC in question, or to [email-masked].  Unless specifically noted otherwise on the RFC itself, all RFCs are for unlimited distribution.

The RFC Editor Team
Association Management Solutions, LLC

_______________________________________________
core mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/core